path: /build/build/mdds-dev-util-2.1-2.1.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -valgrind" emerge dev-util/mdds:2.1 -pv -t && \
    USE="-doc -valgrind" emerge -j ${JOBS} --nodeps dev-util/mdds:2.1
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/mdds && luet-portage --dir /pkgdir/mdds
    dev-util/mdds:2.1 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:f84acf917133696ae6b21449598e7e67fafce812b27843724b8e1aee3e5979f5
  package:
    name: mdds
    version: 2.1.1
    category: dev-util-2.1
    use_flags:
    - -doc
    - -valgrind
    requires:
    - name: liblangtag
      version: '>=0'
      category: app-text
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A collection of multi-dimensional data structure and indexing algorithm
    uri:
    - https://gitlab.com/mdds/mdds
    license: MIT
    buildtimestamp: 2023-10-06 17:41:46.734530181 +0000 UTC m=+149.575426963
    labels:
      BDEPEND: doc? ( app-doc/doxygen dev-python/sphinx ) valgrind? ( dev-util/valgrind
        ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || (
        >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4
      DEPEND: dev-libs/boost:=
      IUSE: doc valgrind
      RDEPEND: dev-libs/boost:=
      emerge.packages: dev-util/mdds:2.1
      kit: dev-kit
      original.package.name: dev-util/mdds
      original.package.slot: "2.1"
      original.package.version: 2.1.1
    treedir: /build/packages
  package_dir: /pkgdir/mdds
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: d7af3770a128f1b6829aa424df5135e881cc0c2f1aa03a7b899a00ed3c3259fe
compressiontype: zstd
files:
- usr/include/mdds-2.1/mdds/flat_segment_tree.hpp
- usr/include/mdds-2.1/mdds/flat_segment_tree_def.inl
- usr/include/mdds-2.1/mdds/flat_segment_tree_itr.hpp
- usr/include/mdds-2.1/mdds/global.hpp
- usr/include/mdds-2.1/mdds/multi_type_matrix.hpp
- usr/include/mdds-2.1/mdds/multi_type_matrix_def.inl
- usr/include/mdds-2.1/mdds/multi_type_vector/aos/block_util.hpp
- usr/include/mdds-2.1/mdds/multi_type_vector/aos/iterator.hpp
- usr/include/mdds-2.1/mdds/multi_type_vector/aos/main.hpp
- usr/include/mdds-2.1/mdds/multi_type_vector/aos/main_def.inl
- usr/include/mdds-2.1/mdds/multi_type_vector/block_funcs.hpp
- usr/include/mdds-2.1/mdds/multi_type_vector/collection.hpp
- usr/include/mdds-2.1/mdds/multi_type_vector/collection_def.inl
- usr/include/mdds-2.1/mdds/multi_type_vector/env.hpp
- usr/include/mdds-2.1/mdds/multi_type_vector/iterator_node.hpp
- usr/include/mdds-2.1/mdds/multi_type_vector/macro.hpp
- usr/include/mdds-2.1/mdds/multi_type_vector/soa/block_util.hpp
- usr/include/mdds-2.1/mdds/multi_type_vector/soa/iterator.hpp
- usr/include/mdds-2.1/mdds/multi_type_vector/soa/main.hpp
- usr/include/mdds-2.1/mdds/multi_type_vector/soa/main_def.inl
- usr/include/mdds-2.1/mdds/multi_type_vector/standard_element_blocks.hpp
- usr/include/mdds-2.1/mdds/multi_type_vector/types.hpp
- usr/include/mdds-2.1/mdds/multi_type_vector/types_util.hpp
- usr/include/mdds-2.1/mdds/multi_type_vector/util.hpp
- usr/include/mdds-2.1/mdds/multi_type_vector.hpp
- usr/include/mdds-2.1/mdds/multi_type_vector_itr.hpp
- usr/include/mdds-2.1/mdds/multi_type_vector_macro.hpp
- usr/include/mdds-2.1/mdds/multi_type_vector_types.hpp
- usr/include/mdds-2.1/mdds/node.hpp
- usr/include/mdds-2.1/mdds/point_quad_tree.hpp
- usr/include/mdds-2.1/mdds/quad_node.hpp
- usr/include/mdds-2.1/mdds/ref_pair.hpp
- usr/include/mdds-2.1/mdds/rtree.hpp
- usr/include/mdds-2.1/mdds/rtree_def.inl
- usr/include/mdds-2.1/mdds/segment_tree.hpp
- usr/include/mdds-2.1/mdds/segment_tree_def.inl
- usr/include/mdds-2.1/mdds/sorted_string_map.hpp
- usr/include/mdds-2.1/mdds/sorted_string_map_def.inl
- usr/include/mdds-2.1/mdds/trie_map.hpp
- usr/include/mdds-2.1/mdds/trie_map_def.inl
- usr/include/mdds-2.1/mdds/trie_map_itr.hpp
- usr/share/doc/mdds-2.1.1/AUTHORS.bz2
- usr/share/doc/mdds-2.1.1/CHANGELOG.bz2
- usr/share/doc/mdds-2.1.1/COPYING.bz2
- usr/share/doc/mdds-2.1.1/NEWS.bz2
- usr/share/doc/mdds-2.1.1/README.md.bz2
- usr/share/pkgconfig/mdds-2.1.pc
- var/db/pkg/dev-util/mdds-2.1.1/BDEPEND
- var/db/pkg/dev-util/mdds-2.1.1/BUILD_TIME
- var/db/pkg/dev-util/mdds-2.1.1/CATEGORY
- var/db/pkg/dev-util/mdds-2.1.1/CBUILD
- var/db/pkg/dev-util/mdds-2.1.1/CFLAGS
- var/db/pkg/dev-util/mdds-2.1.1/CHOST
- var/db/pkg/dev-util/mdds-2.1.1/CONTENTS
- var/db/pkg/dev-util/mdds-2.1.1/COUNTER
- var/db/pkg/dev-util/mdds-2.1.1/CXXFLAGS
- var/db/pkg/dev-util/mdds-2.1.1/DEFINED_PHASES
- var/db/pkg/dev-util/mdds-2.1.1/DEPEND
- var/db/pkg/dev-util/mdds-2.1.1/DESCRIPTION
- var/db/pkg/dev-util/mdds-2.1.1/EAPI
- var/db/pkg/dev-util/mdds-2.1.1/FEATURES
- var/db/pkg/dev-util/mdds-2.1.1/HOMEPAGE
- var/db/pkg/dev-util/mdds-2.1.1/INHERITED
- var/db/pkg/dev-util/mdds-2.1.1/IUSE
- var/db/pkg/dev-util/mdds-2.1.1/IUSE_EFFECTIVE
- var/db/pkg/dev-util/mdds-2.1.1/KEYWORDS
- var/db/pkg/dev-util/mdds-2.1.1/LDFLAGS
- var/db/pkg/dev-util/mdds-2.1.1/LICENSE
- var/db/pkg/dev-util/mdds-2.1.1/PF
- var/db/pkg/dev-util/mdds-2.1.1/RDEPEND
- var/db/pkg/dev-util/mdds-2.1.1/SIZE
- var/db/pkg/dev-util/mdds-2.1.1/SLOT
- var/db/pkg/dev-util/mdds-2.1.1/USE
- var/db/pkg/dev-util/mdds-2.1.1/environment.bz2
- var/db/pkg/dev-util/mdds-2.1.1/mdds-2.1.1.ebuild
- var/db/pkg/dev-util/mdds-2.1.1/repository
package_cacheimage: ""
runtime:
  name: mdds
  version: 2.1.1
  category: dev-util-2.1
  use_flags:
  - -doc
  - -valgrind
  requires:
  - name: boost
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A collection of multi-dimensional data structure and indexing algorithm
  uri:
  - https://gitlab.com/mdds/mdds
  license: MIT
  labels:
    BDEPEND: doc? ( app-doc/doxygen dev-python/sphinx ) valgrind? ( dev-util/valgrind
      ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16
      >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
    DEPEND: dev-libs/boost:=
    IUSE: doc valgrind
    RDEPEND: dev-libs/boost:=
    emerge.packages: dev-util/mdds:2.1
    kit: dev-kit
    original.package.name: dev-util/mdds
    original.package.slot: "2.1"
    original.package.version: 2.1.1
